CMS Tool API

CMS Tool API schema

Public API version 1.4.10.

Events

Events have a start/end date and additional information, they might be bookable, or just for informational purposes

Endpoint URL

https://api.cms-tool.net/api/event

/api/events

Read and update events.

GET

List records, or retrieve one by appending its ID to the path.

Query parameters

NameTypeExampleNotes
idint123Filter results by id.
pageint123Filter results by page.
keywordstextexampleFilter results by keywords.
eventtitletextexampleFilter results by eventtitle.
offsetint123Skip this many matching records before returning results.
pageSizeint123Limit the number of records returned.

POST

Create or update a record from a JSON object.

Request content type: application/json

Request body fields

NameTypeExampleNotes
idint123Set the id value.
pageint123Set the page value.
eventtitletextexampleSet the eventtitle value.
eventstartdatedate2026-09-24T14:30:00+12:00Set the eventstartdate value.
eventenddatedate2026-09-24T14:30:00+12:00Set the eventenddate value.
eventvenuetextexampleSet the eventvenue value.
eventcapacityint123Set the eventcapacity value.
eventsummarytextexampleSet the eventsummary value.

Usage instructions and examples

Create a new event

To create a new event use POST method and do not provide any Event Id. 

Example:

{

"eventtitle" : "New Year Event",

"eventsummary": "Summary of the event..",

"eventstartdate" : "2019-12-31",

"eventedndate" : "2020-01-01",

"page": 123

}

Update en existing event

You can also update an existing event's details. You must include an Event Id. The rest of the parameters provided will be used to update the event.

Example:

{ 
   "id":123,
   "eventtitle":"eventtitle" : "The event title has been changed" ...
}
            

Sample object

{

   "eventcapacity": 9999,

   "eventid": 1234,

   "eventattendeecnt": 0,

   "eventtakebookingsuntil": "00:00:01",

   "eventendtime": "10:00:00",

   "event_enquiry_form": "Always",

   "eventpid": 0,

   "eventwebinarurl": "https://webinarurl.com",

   "site_search_keywords": "^webinar",

   "eventauthorid": 0,

   "eventenddate": "2021-11-10",

   "eventtimestamp": "2021-09-14 11:52:00.0",

   "eventtitle": "Webinar event",

   "eventstartdate": "2021-11-10",

   "parenteventid": 0,

   "event_privacy": 0,

   "id": 1234,

   "page": 111,  

   "eventvenue": 0,

   "eventstarttime": "09:00:00",

   "cid": 222

}            

Machine-readable documentation

This documentation is also available as JSON or Markdown at the same URL. Request JSON with Accept: application/json or Markdown with Accept: text/markdown.